Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.path
Class IterStep

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.expr.Preds
                  org.basex.query.path.Step
                      org.basex.query.path.IterStep

    public final class IterStep

extends Step

Path expression. Mustn't be called with more than one predicate.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.expr.Expr
`Expr.Use`

Field Summary

Fields inherited from class org.basex.query.path.Step
`axis, test`

Fields inherited from class org.basex.query.expr.Preds
`pred`

Constructor Summary
`IterStep(Axis a, Test t, Expr[] p, Pos ps, boolean l)` Constructor.

Method Summary
`NodeIter` | `iter(QueryContext ctx)` Evaluates the expression and returns an iterator on the resulting items.

Methods inherited from class org.basex.query.path.Step
`comp, get, plan, returned, sameAs, simple, toString`

Methods inherited from class org.basex.query.expr.Preds
`color, removable, remove, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, atomic, checkCtx, checkDbl, checkItr, duplicates, e, ebv, i, indexAccessible, indexEquivalent, size, test, v`

Methods inherited from class org.basex.query.ExprInfo
`info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IterStep

    public IterStep(Axis a,
                    Test t,
                    Expr[] p,
                    Pos ps,
                    boolean l)

  Constructor.

  Parameters:
    `a` - axis
    `t` - node test
    `p` - predicates
    `ps` - position predicate
    `l` - lastFlag is true if predicate has a last function

Method Detail

### iter

    public NodeIter iter(QueryContext ctx)

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items. If this method is not overwritten, `Expr.atomic(org.basex.query.QueryContext)` must be implemented.

  Overrides:
    `iter` in class `Step`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD